PHP Manual
Prev |  | Next

# snmpwalk

(PHP 3, PHP 4, PHP 5)

snmpwalk -- Fetch all the SNMP objects from an agent

## Description

array snmpwalk ( string hostname, string community, string object_id [, int timeout [, int retries]] )

snmpwalk() function is used to read all the values from an SNMP agent specified by the `hostname`.

## Parameters

`hostname`

  The SNMP agent.

`community`

  The read community.

`object_id`

  If `NULL`, `object_id` is taken as the root of the SNMP objects tree and all objects under that tree are returned as an array.

  If `object_id` is specified, all the SNMP objects below that `object_id` are returned.

`timeout`

`retries`

## Return Values

Returns an array of SNMP object values starting from the `object_id` as root or `FALSE` on error.

## Examples

Example 1. snmpwalk() Example

`<?php $a = snmpwalk("127.0.0.1", "public", ""); foreach ($a as $val) { echo "$val\n"; } ?>`

Above function call would return all the SNMP objects from the SNMP agent running on localhost. One can step through the values with a loop

## See Also

snmpwalkoid()

Prev | Home | Next
snmpset | Up | snmpwalkoid